<!DOCTYPE html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="https://nvd3.org/assets/css/nv.d3.css"/>
	<script src="static/js/d3.min.js"></script>
	<script src="static/js/nv.d3.js"></script>
	<script src="static/js/stream_layers.js"></script>

	<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
	<script src="static/js/bootstrap.js"></script>
	<script src="static/js/app.js"></script>
	
	<link rel="stylesheet" href="static/css/bootstrap.css" />
	<link rel="stylesheet" href="static/css/app.css" />
</head>
<body>

{{ navBar|safe }}

<h3><select style="margin-left:20px;"><option selected>Own Brand Products</option><option>Non-Own Brand Products</option></select></h3>
<div id="chart1" style="position:relative;width:95%;height:400px;margin-top:50px;margin-left:2.5%;">
    <svg></svg>
</div>

<script>
function data() {
  var sin = [],
      cos = [];

  for (var i = 0; i < 100; i++) {
    sin.push({x: i, y: Math.sin(i/10)});
    cos.push({x: i, y: .5 * Math.cos(i/10)});
  }

  return [
    {
      values: sin,
      key: 'Sine Wave',
      color: '#ff7f0e'
    },
    {
      values: cos,
      key: 'Cosine Wave',
      color: '#2ca02c'
    }
  ];
}
function xhRef(urlPath){var res=[];$.ajax({async:false,url:urlPath}).done(function(a) {res = a;}).fail(function() {return [];}).always(function() {});return res;}
var allData=xhRef("/graph/getSentimentDates");
function drawGraph(datum){
nv.addGraph(function() {
  var chart = nv.models.lineWithFocusChart().useInteractiveGuideline(true);

  chart.xAxis
    .axisLabel('Date')
	.tickFormat(function(d){
		return datum[0]['values'][d]['label'];
	});
    ;

  chart.yAxis
    .axisLabel('Surveys')
    .tickFormat(d3.format('.02f'))
    ;

  d3.select('#chart1 svg')
    .datum(datum)
    .transition().duration(500)
    .call(chart)
    ;

  nv.utils.windowResize(chart.update);

  return chart;
});}
drawGraph(allData['oby']);
$("select").change(function(){
if($(this).val()=="Own Brand Products"){
	drawGraph(allData['oby'])
} else {
drawGraph(allData['obn'])
}
})

</script>
</body>
</html>